#!/bin/bash -e
##########################################################################

DIST=$(cat /dist)
VERSION=$(grep '^Version:' misc/bird.spec | cut -d' ' -f2)
URL="https://git.burble.dn42/api/packages/burble.dn42/generic/bird/${VERSION}/"

echo "Building bird $VERSION for $DIST"

##########################################################################

# clear any previous build
if [ -f Makefile ]
then
    make distclean 
fi

if [ ! -f configure ];
then
    autoreconf
fi

# configure it
./configure \
    --prefix=/usr \
    --sysconfdir=/etc/bird \
    --localstatedir=/var \
    2>&1 | tee conf.out

# build it
make -j2 2>&1 | tee build.out

# tar and push artifacts to gitea
tar="bird.${DIST}.tar.gz"
tar -cvzf "$tar" bird birdc birdcl

curl --user "burble:${TOKEN}" --upload-file "$tar" "${URL}/${tar}"

echo "All done"

##########################################################################
# end of file
